summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFrancisco Redondo Marchena <francisco.marchena@codethink.co.uk>2014-08-29 16:31:34 +0000
committerFrancisco Redondo Marchena <francisco.marchena@codethink.co.uk>2014-09-16 15:13:03 +0000
commit1942f282b8840585518fea9a4b2d74300d03030a (patch)
tree619827557fe63391677ea2702ad48280bc83c1b0
parente0afccc57d892bd53bc265b78291b7c05e767877 (diff)
downloaddefinitions-1942f282b8840585518fea9a4b2d74300d03030a.tar.gz
Add gerrit configuration extension
-rwxr-xr-xgerrit.configure50
-rw-r--r--systems/gerrit-x86_64.morph1
2 files changed, 51 insertions, 0 deletions
diff --git a/gerrit.configure b/gerrit.configure
new file mode 100755
index 00000000..b691ea95
--- /dev/null
+++ b/gerrit.configure
@@ -0,0 +1,50 @@
+#!/bin/sh
+#
+# Copyright (C) 2014 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+#
+# This is a "morph deploy" configuration extension to enable bash
+# as default shell in gerrit systems.
+set -e
+
+ROOT="$1"
+
+###############################################################################
+
+# Set bash as default shell
+ln -sfn bash "$ROOT/bin/sh"
+
+###############################################################################
+echo "Creating gerrit-daemon unit file"
+
+cat << EOF > "$ROOT"/etc/systemd/system/gerrit-daemon.service
+[Unit]
+Description=Gerrit Code Review Server Service
+
+ConditionPathExists=/home/gerrit2/gerrit/.gerrit_controller
+
+[Service]
+User=gerrit2
+Group=gerrit2
+Environment="PATH=/usr/bin:/bin"
+Type=forking
+ExecStart=/home/gerrit2/gerrit/.gerrit_controller/bin/gerrit.sh start
+
+[Install]
+WantedBy=multi-user.target
+EOF
+ln -sfn "../gerrit-daemon.service" \
+ "$ROOT/etc/systemd/system/multi-user.target.wants/gerrit-daemon.service"
diff --git a/systems/gerrit-x86_64.morph b/systems/gerrit-x86_64.morph
index c1dcff12..0dbca14e 100644
--- a/systems/gerrit-x86_64.morph
+++ b/systems/gerrit-x86_64.morph
@@ -30,3 +30,4 @@ configuration-extensions:
- nfsboot
- install-files
- cloud-init
+- gerrit